#include <maps/wikimap/ugc/libs/test_helpers/db_fixture.h>

#include <library/cpp/testing/unittest/env.h>

namespace maps::wiki::ugc::tests {

DbFixture::DbFixture()
{
    database_.runPgMigrate(migrationsPath());
}

const std::string& DbFixture::migrationsPath()
{
    static const std::string s_path =
        ArcadiaSourceRoot() + "/maps/wikimap/ugc/migrations/migrations";

    return s_path;
}

} // namespace maps::wiki::ugc:::tests
